org.apache.tinkerpop.gremlin.driver

## Class Tokens

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Tokens

-     public final class Tokens
      extends Object

  String constants used in gremlin-driver and gremlin-server.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARGS_AGGREGATE_TO` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `ARGS_ALIASES` Argument name that allows definition of alias names for `Graph` and `TraversalSource` objects on the remote system.
    `static String` | `ARGS_BATCH_SIZE` Argument name that allows definition of the number of iterations each `ResponseMessage` should contain - overrides the @{code resultIterationBatchSize} server setting.
    `static String` | `ARGS_BINDINGS` Argument name that allows to provide a map of key/value pairs to apply as variables in the context of the Gremlin request sent to the server.
    `static String` | `ARGS_EVAL_TIMEOUT` Argument name that allows the override of the server setting that determines the maximum time to wait for a request to execute on the server.
    `static String` | `ARGS_FORCE`
    `static String` | `ARGS_GREMLIN` Argument name that corresponds to the Gremlin to evaluate.
    `static String` | `ARGS_HOST`
    `static String` | `ARGS_LANGUAGE` Argument name that allows definition of the flavor of Gremlin used (e.g.
    `static String` | `ARGS_MANAGE_TRANSACTION`
    `static String` | `ARGS_SASL`
    `static String` | `ARGS_SASL_MECHANISM`
    `static String` | `ARGS_SCRIPT_EVAL_TIMEOUT` Deprecated. As of release 3.3.9, replaced by `ARGS_EVAL_TIMEOUT`.
    `static String` | `ARGS_SESSION`
    `static String` | `ARGS_SIDE_EFFECT` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `ARGS_SIDE_EFFECT_KEY` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `ARGS_USER_AGENT` A value that is a custom string that the user can pass to a server that might accept it for purpose of identifying the kind of client it came from.
    `static String` | `OPS_AUTHENTICATION`
    `static String` | `OPS_BYTECODE`
    `static String` | `OPS_CLOSE`
    `static String` | `OPS_EVAL`
    `static String` | `OPS_GATHER` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `OPS_INVALID`
    `static String` | `OPS_KEYS` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `REQUEST_ID` The key for the unique identifier of the request.
    `static String` | `STATUS_ATTRIBUTE_EXCEPTIONS`
    `static String` | `STATUS_ATTRIBUTE_STACK_TRACE`
    `static String` | `STATUS_ATTRIBUTE_WARNINGS` A `ResultSet.statusAttributes()` key for user-facing warnings.
    `static String` | `VAL_AGGREGATE_TO_BULKSET` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `VAL_AGGREGATE_TO_LIST` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `VAL_AGGREGATE_TO_MAP` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `VAL_AGGREGATE_TO_NONE` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `VAL_AGGREGATE_TO_SET` Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
    `static String` | `VAL_TRAVERSAL_SOURCE_ALIAS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPS_AUTHENTICATION

          public static final String OPS_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### OPS_BYTECODE

          public static final String OPS_BYTECODE

      See Also:
        Constant Field Values

    - #### OPS_EVAL

          public static final String OPS_EVAL

      See Also:
        Constant Field Values

    - #### OPS_INVALID

          public static final String OPS_INVALID

      See Also:
        Constant Field Values

    - #### OPS_CLOSE

          public static final String OPS_CLOSE

      See Also:
        Constant Field Values

    - #### OPS_GATHER

          @Deprecated
          public static final String OPS_GATHER

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### OPS_KEYS

          @Deprecated
          public static final String OPS_KEYS

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### REQUEST_ID

          public static final String REQUEST_ID

      The key for the unique identifier of the request.
      See Also:
        Constant Field Values

    - #### ARGS_BATCH_SIZE

          public static final String ARGS_BATCH_SIZE

      Argument name that allows definition of the number of iterations each `ResponseMessage` should contain - overrides the @{code resultIterationBatchSize} server setting.
      See Also:
        Constant Field Values

    - #### ARGS_BINDINGS

          public static final String ARGS_BINDINGS

      Argument name that allows to provide a map of key/value pairs to apply as variables in the context of the Gremlin request sent to the server.
      See Also:
        Constant Field Values

    - #### ARGS_ALIASES

          public static final String ARGS_ALIASES

      Argument name that allows definition of alias names for `Graph` and `TraversalSource` objects on the remote system.
      See Also:
        Constant Field Values

    - #### ARGS_FORCE

          public static final String ARGS_FORCE

      See Also:
        Constant Field Values

    - #### ARGS_GREMLIN

          public static final String ARGS_GREMLIN

      Argument name that corresponds to the Gremlin to evaluate.
      See Also:
        Constant Field Values

    - #### ARGS_LANGUAGE

          public static final String ARGS_LANGUAGE

      Argument name that allows definition of the flavor of Gremlin used (e.g. gremlin-groovy) to process the request.
      See Also:
        Constant Field Values

    - #### ARGS_SCRIPT_EVAL_TIMEOUT

          @Deprecated
          public static final String ARGS_SCRIPT_EVAL_TIMEOUT

      Deprecated. As of release 3.3.9, replaced by `ARGS_EVAL_TIMEOUT`.
      See Also:
        Constant Field Values

    - #### ARGS_EVAL_TIMEOUT

          public static final String ARGS_EVAL_TIMEOUT

      Argument name that allows the override of the server setting that determines the maximum time to wait for a request to execute on the server.
      See Also:
        Constant Field Values

    - #### ARGS_HOST

          public static final String ARGS_HOST

      See Also:
        Constant Field Values

    - #### ARGS_SESSION

          public static final String ARGS_SESSION

      See Also:
        Constant Field Values

    - #### ARGS_MANAGE_TRANSACTION

          public static final String ARGS_MANAGE_TRANSACTION

      See Also:
        Constant Field Values

    - #### ARGS_SASL

          public static final String ARGS_SASL

      See Also:
        Constant Field Values

    - #### ARGS_SASL_MECHANISM

          public static final String ARGS_SASL_MECHANISM

      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT

          @Deprecated
          public static final String ARGS_SIDE_EFFECT

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### ARGS_AGGREGATE_TO

          @Deprecated
          public static final String ARGS_AGGREGATE_TO

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT_KEY

          @Deprecated
          public static final String ARGS_SIDE_EFFECT_KEY

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### ARGS_USER_AGENT

          public static final String ARGS_USER_AGENT

      A value that is a custom string that the user can pass to a server that might accept it for purpose of identifying the kind of client it came from.
      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_BULKSET

          @Deprecated
          public static final String VAL_AGGREGATE_TO_BULKSET

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_LIST

          @Deprecated
          public static final String VAL_AGGREGATE_TO_LIST

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_MAP

          @Deprecated
          public static final String VAL_AGGREGATE_TO_MAP

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_NONE

          @Deprecated
          public static final String VAL_AGGREGATE_TO_NONE

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_SET

          @Deprecated
          public static final String VAL_AGGREGATE_TO_SET

      Deprecated. As of release 3.3.8, not directly replaced in the protocol as side-effect retrieval after traversal iteration is not being promoted anymore as a feature.
      See Also:
        Constant Field Values

    - #### VAL_TRAVERSAL_SOURCE_ALIAS

          public static final String VAL_TRAVERSAL_SOURCE_ALIAS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_EXCEPTIONS

          public static final String STATUS_ATTRIBUTE_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_STACK_TRACE

          public static final String STATUS_ATTRIBUTE_STACK_TRACE

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_WARNINGS

          public static final String STATUS_ATTRIBUTE_WARNINGS

      A `ResultSet.statusAttributes()` key for user-facing warnings.

      Implementations that set this key should consider using one of these two recommended value types:

      - A `List` implementation containing references for which `String.valueOf(Object)` produces a meaningful return value. For example, a list of strings.
      - Otherwise, any single non-list object for which `String.valueOf(Object)` produces a meaningful return value. For example, a string.
      See Also:
        Constant Field Values

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.